curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/filter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter_mode": "direct"
}
'
{
"success": true,
"error": null,
"projects": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"market_cap": 1200000000
}
],
"metadata": {
"filter_mode": "direct",
"total_results": 1,
"limit": 20
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Projects
Filter projects
Filter and screen crypto projects with a JSON body. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
projects
/
filter
curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/filter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter_mode": "direct"
}
'
{
"success": true,
"error": null,
"projects": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"market_cap": 1200000000
}
],
"metadata": {
"filter_mode": "direct",
"total_results": 1,
"limit": 20
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Available options:
natural_language, direct Required when filter_mode is natural_language.
Minimum string length:
10Available options:
trending, market_cap, price_change, traders, traders_change, volume, volume_change, buy_volume_ratio, quant_score, quant_score_change, mentions_24h, mentions_7d, mentions_change_24h, mentions_change_7d Available options:
asc, desc Available options:
4h, 24h Available options:
solana, ethereum, base, arbitrum Minimum market cap in millions.
Required range:
x >= 0Maximum market cap in millions.
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
-100 <= x <= 100Required range:
-100 <= x <= 100Required range:
0 <= x <= 100Required range:
0 <= x <= 100Required range:
1 <= x <= 50Required range:
x >= 0Available options:
developments, recent_content, technical_analysis, market_data, mindshare, detailed_description, metadata Required range:
1 <= x <= 10Required range:
1 <= x <= 25Required range:
1 <= x <= 30Maximum array length:
5Maximum array length:
5Was this page helpful?